Upstream information

CVE-2015-8079 at MITRE

Description

qt5-qtwebkit before 5.4 records private browsing URLs to its favicon database, WebpageIcons.db.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 2.1
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network Local
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
SUSE Bugzilla entry: 954210 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/openldap:beta1
  • openslp >= 2.0.0-11.1
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-EC2-HVM-BYOS
Image SLES12-SP4-GCE-BYOS
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-BYOS
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • at >= 3.1.14-7.3
Image SLES12-SP4-OCI-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
  • at >= 3.1.14-7.3
  • openslp >= 2.0.0-11.1
SUSE Linux Enterprise Desktop 12 SP1
  • at >= 3.1.14-7.3
  • bogofilter >= 1.2.4-5.3
  • flex >= 2.5.37-8.1
  • libQtWebKit-devel >= 4.8.6+2.3.3-3.1
  • libQtWebKit4 >= 4.8.6+2.3.3-3.1
  • libQtWebKit4-32bit >= 4.8.6+2.3.3-3.1
  • libbonobo >= 2.32.1-16.1
  • libbonobo-32bit >= 2.32.1-16.1
  • libbonobo-devel >= 2.32.1-16.1
  • libbonobo-lang >= 2.32.1-16.1
  • libkde4 >= 4.12.0-7.3
  • libkde4-32bit >= 4.12.0-7.3
  • libkdecore4 >= 4.12.0-7.3
  • libkdecore4-32bit >= 4.12.0-7.3
  • libksuseinstall1 >= 4.12.0-7.3
  • libksuseinstall1-32bit >= 4.12.0-7.3
  • libnetpbm-devel >= 10.66.3-4.1
  • libnetpbm11 >= 10.66.3-4.1
  • libnetpbm11-32bit >= 10.66.3-4.1
  • mdbtools >= 0.7-5.1
  • netpbm >= 10.66.3-4.1
  • openslp >= 2.0.0-11.1
  • openslp-32bit >= 2.0.0-11.1
  • openslp-devel >= 2.0.0-11.1
  • sgmltool >= 1.0.9-1075.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1390
SUSE-SLE-SDK-12-SP1-2016-1390
SUSE-SLE-WE-12-SP1-2016-1390
SUSE Linux Enterprise Desktop 12 SP2
  • libQt5WebKit-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKit5 >= 5.6.1-9.4
  • libQt5WebKit5-devel >= 5.6.1-9.4
  • libQt5WebKit5-imports >= 5.6.1-9.4
  • libQt5WebKitWidgets-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets5 >= 5.6.1-9.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libQt5WebKit5-5.6.1-9.4
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libQt5WebKit-private-headers-devel-5.6.1-9.4
SUSE Linux Enterprise Desktop 12 SP3
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Desktop 12 SP4
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • at >= 3.1.14-7.3
  • bogofilter >= 1.2.4-5.3
  • flex >= 2.5.37-8.1
  • flex-32bit >= 2.5.37-8.1
  • libQtWebKit-devel >= 4.8.6+2.3.3-3.1
  • libQtWebKit4 >= 4.8.6+2.3.3-3.1
  • libQtWebKit4-32bit >= 4.8.6+2.3.3-3.1
  • libbonobo >= 2.32.1-16.1
  • libbonobo-32bit >= 2.32.1-16.1
  • libbonobo-devel >= 2.32.1-16.1
  • libbonobo-doc >= 2.32.1-16.1
  • libbonobo-lang >= 2.32.1-16.1
  • libkde4 >= 4.12.0-7.3
  • libkde4-32bit >= 4.12.0-7.3
  • libkdecore4 >= 4.12.0-7.3
  • libkdecore4-32bit >= 4.12.0-7.3
  • libksuseinstall1 >= 4.12.0-7.3
  • libksuseinstall1-32bit >= 4.12.0-7.3
  • libnetpbm-devel >= 10.66.3-4.1
  • libnetpbm11 >= 10.66.3-4.1
  • libnetpbm11-32bit >= 10.66.3-4.1
  • mdbtools >= 0.7-5.1
  • netpbm >= 10.66.3-4.1
  • openslp >= 2.0.0-11.1
  • openslp-32bit >= 2.0.0-11.1
  • openslp-devel >= 2.0.0-11.1
  • openslp-server >= 2.0.0-11.1
  • perl-Cyrus-IMAP >= 2.3.18-40.1
  • perl-Cyrus-SIEVE-managesieve >= 2.3.18-40.1
  • sgmltool >= 1.0.9-1075.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1390
SUSE-SLE-SERVER-12-SP1-2016-1390
SUSE-SLE-WE-12-SP1-2016-1390
SUSE Linux Enterprise Server 12 SP2
  • libQt5WebKit-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKit5 >= 5.6.1-9.4
  • libQt5WebKit5-devel >= 5.6.1-9.4
  • libQt5WebKit5-imports >= 5.6.1-9.4
  • libQt5WebKitWidgets-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets5 >= 5.6.1-9.4
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libQt5WebKit5-5.6.1-9.4
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libQt5WebKit-private-headers-devel-5.6.1-9.4
SUSE Linux Enterprise Server 12 SP3
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Server 12 SP4
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Server 12 SP5
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5 >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKit5-imports >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libQt5WebKit5-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libQt5WebKit5 >= 5.6.1-9.4
  • libQt5WebKit5-imports >= 5.6.1-9.4
  • libQt5WebKitWidgets5 >= 5.6.1-9.4
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libQt5WebKit5-5.6.1-9.4
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libQt5WebKit-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKit5-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.1-9.4
  • libQt5WebKitWidgets5 >= 5.6.1-9.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libQt5WebKit-private-headers-devel-5.6.1-9.4
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libQt5WebKit-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKit5-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets-private-headers-devel >= 5.6.2-1.31
  • libQt5WebKitWidgets5 >= 5.6.2-1.31
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libQt5WebKit-private-headers-devel-5.6.2-1.31
SUSE Linux Enterprise Software Development Kit 12 SP1
  • flex >= 2.5.37-8.1
  • libQtWebKit-devel >= 4.8.6+2.3.3-3.1
  • libbonobo-devel >= 2.32.1-16.1
  • libnetpbm-devel >= 10.66.3-4.1
  • mdbtools >= 0.7-5.1
  • openslp-devel >= 2.0.0-11.1
  • sgmltool >= 1.0.9-1075.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1390
SUSE Linux Enterprise Workstation Extension 12 SP1
  • bogofilter >= 1.2.4-5.3
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1390


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 libqt5-qtwebkit Already fixed
SUSE Linux Enterprise Desktop 12 SP2 libqt5-qtwebkit Affected
SUSE Linux Enterprise Desktop 12 SP5 bogofilter Released
SUSE Linux Enterprise High Performance Computing 12 SP5 at Released
SUSE Linux Enterprise High Performance Computing 12 SP5 flex Released
SUSE Linux Enterprise High Performance Computing 12 SP5 kdelibs4 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libQtWebKit4 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libbonobo Released
SUSE Linux Enterprise High Performance Computing 12 SP5 netpbm Released
SUSE Linux Enterprise High Performance Computing 12 SP5 openslp Released
SUSE Linux Enterprise Server 12 SP1 libqt5-qtwebkit Already fixed
SUSE Linux Enterprise Server 12 SP2 libqt5-qtwebkit Already fixed
SUSE Linux Enterprise Server 12 SP5 at Released
SUSE Linux Enterprise Server 12 SP5 bogofilter Released
SUSE Linux Enterprise Server 12 SP5 flex Released
SUSE Linux Enterprise Server 12 SP5 kdelibs4 Released
SUSE Linux Enterprise Server 12 SP5 libQtWebKit4 Released
SUSE Linux Enterprise Server 12 SP5 libbonobo Released
SUSE Linux Enterprise Server 12 SP5 netpbm Released
SUSE Linux Enterprise Server 12 SP5 openslp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libqt5-qtwebkit Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 at Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bogofilter Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 flex Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 kdelibs4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libQtWebKit4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libbonobo Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 netpbm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openslp Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libqt5-qtwebkit Already fixed
SUSE Linux Enterprise Workstation Extension 12 SP5 bogofilter Released